# eric4.Project.SpellingPropertiesDialog

Module implementing the Spelling Properties dialog.

### Global Attributes

None

### Classes

SpellingPropertiesDialog | Class implementing the Spelling Properties dialog.

### Functions

None

## SpellingPropertiesDialog

Class implementing the Spelling Properties dialog.

### Derived from

QDialog, Ui_SpellingPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

SpellingPropertiesDialog | Constructor
initDialog | Public method to initialize the dialogs data.
on_pelButton_clicked | Private slot to select the project exclude list file.
on_pwlButton_clicked | Private slot to select the project word list file.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### SpellingPropertiesDialog (Constructor)

SpellingPropertiesDialog(project, new, parent)

Constructor

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)

#### SpellingPropertiesDialog.initDialog

initDialog()

Public method to initialize the dialogs data.

#### SpellingPropertiesDialog.on_pelButton_clicked

on_pelButton_clicked()

Private slot to select the project exclude list file.

#### SpellingPropertiesDialog.on_pwlButton_clicked

on_pwlButton_clicked()

Private slot to select the project word list file.

#### SpellingPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up